package com.example.conversor;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.Toast;

import static com.example.conversor.Conversion.convertirADolares;
import static com.example.conversor.Conversion.convertirAEuros;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    public final double RATIO = 0.9;
    EditText euros;
    EditText dolares;
    RadioButton eurosADolares;
    RadioButton dolarsAEuros;
    Button convertir;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        euros = (EditText) findViewById(R.id.editText1);
        dolares = (EditText) findViewById(R.id.editText2);
        eurosADolares = (RadioButton) findViewById((R.id.radioButton1));
        dolarsAEuros = (RadioButton) findViewById((R.id.radioButton2));
        convertir = (Button) findViewById(R.id.button);
        convertir.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        if (view == convertir) {
            try {
                if (eurosADolares.isChecked()) {
                    dolares.setText(convertirADolares(euros.getText().toString(), RATIO));
                } else {
                    euros.setText(convertirAEuros(dolares.getText().toString(), RATIO));
                }
            } catch (NumberFormatException e) {
                Toast.makeText(this, "Error en la conversión: " + e.getMessage(), Toast.LENGTH_SHORT).show();
            }
        }
    }
}